SELinux - Refactor #5877

Introduce foreman_t domain
05/22/2014 12:06 PM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Since Passenger 4.0 which allows us to change context of running apps is now both upstream and downstream, we should refactor
our policy:

- introduce passenger wrapper scripts for foreman (and katello?)
- move foreman rules from passenger_t to the foreman_t

- review httpd_t domain and rules (do we need it?)

- tighten things up and do cleanup

History

#1 - 05/22/2014 12:12 PM - Lukas Zapletal

Also there is one block "passenger_run_puppetmaster" which we can refactor/get rid of only after we migrate foreman into separate domain and we
will be able to determine which of these rules are required by foreman and which of these can go away.

It would be good to work with SELinux team to create rules in the base puppet policy (optional, by default turned off because it does not use
passenger by default). But that would be better place to carry those.

#2 - 11/17/2022 02:43 PM - Ewoud Kohl van Wijngaarden

This is very old and we have a foreman_rails_t domain now. Is this still needed or can it be closed?

#3 - 11/21/2022 12:49 PM - Lukas Zapletal

- Status changed from New to Closed

Yeah feel free to close, there will probably be more of these "ideas" that got implemented along the way.
